clear all
close all

trans=@(q)  [2*q(1,:);q(2,:);0.5*q(3,:).*(1+0.5*sin(2*pi*q(1,:)))];
% Build mesh from .geo file 
meshfile=gmsh.buildmesh3ds('sphere8surf',5,'force',true);                    
Th=ooMesh(meshfile);
figure(1);
Th.plot('FaceAlpha',0.5,'legend',true);
axis off;axis image

figure(2)
Th.plot('d',1,'Linewidth',2,'legend',true);
axis off;axis image

