clear all
close all

% Build mesh from .geo file 
gmshOptions={'Mesh.Algorithm=4;','Mesh.CharacteristicLengthFactor=0.5;'};
meshfile=gmsh.buildmesh2d('sample20',20,'force',true,'check',true,'strings',gmshOptions);                    
Th=siMesh(meshfile);
figure(1);
Th.plot('legend',true)
set(legend(),'Location','NorthEastOutside')
axis off;axis image
figure(2)
Th.plot('color',[0.85,0.85,0.85])
hold on
Th.plot('d',1,'Linewidth',2,'legend',true);
set(legend(),'Location','NorthEastOutside')
axis off;axis image